Loading...
Searching...
No Matches
websocketpp::log::syslog< concurrency, names > Class Template Reference

Basic logger that outputs to syslog. More...

`#include <syslog.hpp>`

Inheritance diagram for websocketpp::log::syslog< concurrency, names >:

## Public Types

typedef basic< concurrency, names > | base

## Public Member Functions

| syslog (channel_type_hint::value hint=channel_type_hint::access)
| Construct the logger.
| syslog (level channels, channel_type_hint::value hint=channel_type_hint::access)
| Construct the logger.
void | write (level channel, std::string const &msg)
| Write a string message to the given channel.
void | write (level channel, char const *msg)
| Write a cstring message to the given channel.
Public Member Functions inherited from websocketpp::log::basic< concurrency, names >
| basic (channel_type_hint::value h=channel_type_hint::access)
| basic (std::ostream *out)
| basic (level c, channel_type_hint::value h=channel_type_hint::access)
| basic (level c, std::ostream *out)
| ~basic ()
| Destructor.
| basic (basic< concurrency, names > const &other)
| Copy constructor.
void | set_ostream (std::ostream *out=&std::cout)
void | set_channels (level channels)
void | clear_channels (level channels)
void | write (level channel, std::string const &msg)
| Write a string message to the given channel.
void | write (level channel, char const *msg)
| Write a cstring message to the given channel.
_WEBSOCKETPP_CONSTEXPR_TOKEN_ bool | static_test (level channel) const
bool | dynamic_test (level channel)

## Additional Inherited Members

Protected Types inherited from websocketpp::log::basic< concurrency, names >
typedef concurrency::scoped_lock_type | scoped_lock_type
typedef concurrency::mutex_type | mutex_type
Protected Attributes inherited from websocketpp::log::basic< concurrency, names >
mutex_type | m_lock

## Detailed Description

template<typename concurrency, typename names>
class websocketpp::log::syslog< concurrency, names >

Basic logger that outputs to syslog.

Definition at line 46 of file syslog.hpp.

## Member Typedef Documentation

## base

template<typename concurrency, typename names>

typedef basic<concurrency, names> websocketpp::log::syslog< concurrency, names >::base

Definition at line 48 of file syslog.hpp.

## Constructor & Destructor Documentation

## syslog() [1/2]

template<typename concurrency, typename names>

websocketpp::log::syslog< concurrency, names >::syslog | ( | channel_type_hint::value | hint = channel_type_hint::access | ) |

inline

Construct the logger.

Parameters

  hint | A channel type specific hint for how to construct the logger

Definition at line 48 of file syslog.hpp.

## syslog() [2/2]

template<typename concurrency, typename names>

websocketpp::log::syslog< concurrency, names >::syslog | ( | level | channels,
|  | channel_type_hint::value | hint = channel_type_hint::access )

inline

Construct the logger.

Parameters

  channels | A set of channels to statically enable
  hint | A channel type specific hint for how to construct the logger

Definition at line 48 of file syslog.hpp.

## Member Function Documentation

## write() [1/2]

template<typename concurrency, typename names>

void websocketpp::log::syslog< concurrency, names >::write | ( | level | channel,
|  | char const * | msg )

inline

Write a cstring message to the given channel.

Parameters

  channel | The channel to write to
  msg | The message to write

Definition at line 81 of file syslog.hpp.

## write() [2/2]

template<typename concurrency, typename names>

void websocketpp::log::syslog< concurrency, names >::write | ( | level | channel,
|  | std::string const & | msg )

inline

Write a string message to the given channel.

Parameters

  channel | The channel to write to
  msg | The message to write

Definition at line 72 of file syslog.hpp.

The documentation for this class was generated from the following file:

- websocketpp/logger/syslog.hpp